@keyframes pulse-animation {
    0% {
      box-shadow: 0 0 0 0px rgba(254, 225, 3, 0.4);
    }
    100% {
      box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
    }
}

@keyframes card-floating {
    0% {
        transform: translateY(0);
    }
    50%{
        transform: translateY(-15px);
    }
    100% {
        transform: translateY(0);
    }
}

@keyframes whatsEntry {
    0% {
        bottom: -100px;
    }
    100%{
        bottom: 16px;
    }
}

*, body, html{
    text-decoration: none !important;
    font-family: "Inter", sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0
}

html{
    margin-top: -8px;
}

body{
    background-color: #FFFCF9;
    overflow-x: hidden;
}

h1{
    font-weight: 700;
    letter-spacing: -0.02em;
    font-size: 48px;
    line-height: 56px;
}

h1, h2, h3, h4, h5, p{
    color: #0E1C31;
}

input, select{
    height: 48px;
}

.pulse {
    animation: pulse-animation 2s infinite;
}

.btn-primary{
    padding: 16px 24px;
    background: linear-gradient(180deg, #FEE103 0%, #FEC303 100%);
    box-shadow: 0px 4px 52.7px rgba(254, 225, 3, 0.42);
    border-radius: 6px;
    border: none;

    font-weight: 700;
    font-size: 18px;
    line-height: 24px;

    color: #2B1A0B;
}

.btn-primary:hover{
    color: #2B1A0B;
}

.btn-secondary{
    padding: 16px 24px;
    background: #1A3A6A;
    box-shadow: 0px 4px 52.7px rgba(117, 103, 0, 0.96);
    border-radius: 6px;
    border: none;

    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    text-align: center;

    color: #FFFFFF;
}

.logo{
    height: 64px;
    z-index: 10;
}

.whats-btn{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 16px 56px;
    gap: 8px;
    width: fit-content;
    cursor: pointer;

    background: #0EC043;
    border: 3px solid #FFFFFF;
    box-shadow: 0px 4px 10.9px rgba(32, 130, 43, 0.25);
    border-radius: 35px;
    color: #fff;
    font-weight: 700;
}

.whats-btn > img {
    width: 24px;
}

.top-title > span{
    background-color: #FEE103;
    border-radius: 8px;
    padding: 2px 8px;
}

.first-section{
    background: radial-gradient(40.81% 40.81% at 53.05% -14.2%, rgba(255, 237, 163, 0.5) 0%, rgba(255, 237, 163, 0) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */, radial-gradient(51.11% 105.33% at -6.74% -10.61%, rgba(255, 237, 163, 0.5) 0%, rgba(255, 237, 163, 0) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */, #FFFCF9;
}

.form-container{

}

.form-header{
    padding: 16px 24px;
    background: #FEE103;
    border-radius: 8px 8px 0 0;
    width: fit-content;
}

.form-content{
    padding: 32px 32px;
    margin-top: -1.2rem;

    background: #FFFFFF;
    border-radius: 8px;
    filter: drop-shadow(0px 19px 50.2px #F7E6D3);

}

.top-truck{
    position: absolute;
    right: 2vw;
    top: 6rem;
}

.float-card{
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 16px;
    gap: 10px;

    position: absolute;
    right: 30vw;
    top: 20vh;

    background: rgba(12, 9, 0, 0.2);
    backdrop-filter: blur(7.9px);
    border-radius: 24px;

    animation: card-floating 5s infinite forwards ease-in-out;

}

.secondary{
    right: 10vw;
    top: 60vh;
    animation-delay: 2s;

}

.float-card img{
    width: 50px;
}

.float-card p{
    margin: 0;
}

.top-cta{
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 40px 10vw;
    text-align: center;
    width: 100%;

    background: linear-gradient(180deg, #FEE103 0%, #FED803 100%);
}

.top-cta > h4{
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    letter-spacing: -0.02em;
    color: #234982;
}

.top-cta > p{
    font-weight: 700;
    font-size: 14px;
    line-height: 24px;
    padding: 0 24%;
    margin-bottom: 32px;
    color: rgba(14, 28, 49, 0.9);
}

.dark-container{
    background-color: #1C1C1C;
    padding: 80px 0;
}

.dark-container .header{
    width: 50%;
}

.service-card{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    padding: 16px 24px;
    gap: 16px;

    background: #282828;
    border: 1px solid #434343;
    border-radius: 16px;
}

.service-card h6{
    padding: 8px;
    gap: 10px;
    color: #FEC303;
    background: rgba(254, 225, 3, 0.12);
    display: flex;
    width: fit-content;
}

.service-card button{
    width: fit-content;
    font-size: 16px;
    box-shadow: none;
}

.service-card p{
    font-weight: 300;
    font-size: 14px;
    line-height: 24px;
    color: rgba(255, 255, 255, 0.9);
}



.frota-wrapper{
    margin: 80px 0 180px 0;
}

.frota-row{
    display: grid;
    grid-template-columns: 1fr 4fr 1fr 1fr 1fr;
    gap: 16px;
    margin-top: 80px;
}

.frota-row2{
    display: grid;
    grid-template-columns: 2fr 2fr 3fr 1fr 1fr;
    gap: 16px;
    margin-top: 16px;
    margin-bottom: 80px;
}

.frota-card{
    padding: 32px 64px;
    background: linear-gradient(0deg, #FEC303, #FEC303), linear-gradient(180deg, #FFD149 0%, #FBBB00 100%);
    border-radius: 40px;
    color: #fff;
    font-weight: 700;
    font-size: 24px;
    line-height: 32px;
    letter-spacing: -0.02em;
}

.frota-card span{
    color: #0E1C31;
}

.testimonial h2{
    font-weight: 800;
    font-size: 40px;
    line-height: 48px;
    text-align: center;
    letter-spacing: -0.02em;
    color: #0E1C31;
    width: 70%;
    min-width: 300px;
    margin: 24px auto 16px;
}

.testimonial-wrapper{
    justify-content: center;
}

.testimonial-wrapper img{
    width: 100%;
}

.testimonial-end{
    position: absolute;
    width: 100%;
    height: 309px;
    left: 0;
    bottom: 0;
    background: linear-gradient(180deg, rgba(249, 252, 255, 0) 0%, #F9FCFF 100%);
}

.card-cta{
    background: #0E1C31;
    border-radius: 32px;
    position: relative;
    display: grid;
    grid-template-columns: 2fr 1fr;
    padding: 88px 100px;
    align-items: center;
    gap: 80px;
    margin: 80px 80px;
}

.card-cta h2{
    font-size: 40px;
    font-weight: 800;
}

.card-cta img{
    position: absolute;
    right: 0;
    bottom: 0;
    height: 140%;
}

.whatsapp-button{
    position: fixed;
    bottom: -100px;
    right: 16px;
    animation: whatsEntry 600ms forwards cubic-bezier(0.175, 0.885, 0.32, 1.275);
    animation-delay: 2s;
    z-index: 100;

}

@media (max-width: 767px) {
    .container{
        padding: 0 20px
    }
    .top-truck {
        top: 2rem;
        width: 100%;
        max-width: 700px;
    }

    .logo {
        height: 70%;
        position: relative;
    }

    .form-container {
        margin-top: 156px !important;
        display: flex;
        flex-direction: row-reverse;
        flex-wrap: wrap;
    }

    .top-cta > p{
        padding: 0 8%;
    }
    
    .dark-container .header{
        width: 100%;
    }

    .frota-row{
        grid-template-columns: 1fr !important;
    }

    .frota-row img{
        width: 100%;
    }

    .card-cta{
        padding: 40px 40px 400px !important;
    }

    .card-cta img{
        height: 450px !important;
    }

    .card-cta h2{
        font-size: 32px !important;
    }

    .testimonial h2{
        font-size: 32px;
        line-height: 40px;
        text-align: left;
    }
    

}

/* Estilos para telas maiores que 768px */
@media (min-width: 768px) and (max-width: 1530px ) {
    .top-truck {
        position: relative;
        width: 100%;
        margin-top: -80px;
    }
    .dark-container .header{
        width: 100%;
    }

}

@media (max-width: 1380px ) {
    .service-card img{
        width: 100%;
    }
    
    .frota-row{
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 16px;
        margin-top: 80px;
    }
    
    .frota-row2{
        display: none;
    }

    .card-cta{
        padding: 88px 40px 400px;
        align-items: center;
        grid-template-columns: 1fr;
        gap: 80px;
        margin: 80px 0;
    }

    .card-cta img{
        position: absolute;
        right: 0;
        bottom: 0;
        height: 500px;
    }

}
